Subject: [BLISS] Shared Appearance Issue: Simplify No Appearance Allocation Request

From: Alan Johnston <[email-masked]>
Date: Sat, 06 Mar 2010 21:05:47 -0600

There is currently a bit of complexity in the draft caused by a
requirement for a UA to send an INVITE using the shared AOR in the From
but not have an appearance number assigned. Effectively, this dialog is
not part of the shared appearance group.  We do this using the 'shared'
Event parameter.

There are two ways we could simplify this:

We could probably remove the 'shared' event parameter if we defined a
convention for the <appearance> element to say 'don't assign an
appearance'.  For example, we could chose a value such as "-1".  A
publish with appearance=-1 would be asking the AA not to assign an
appearance number.  This would simplify things.

If we were looking to simplify things further, perhaps we could just
meet this requirement by saying a different From URI should be used.

Comments?

- Alan -